## ros-iron-microstrain-inertial-examples 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(microstrain_inertial_examples)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(microstrain_inertial_msgs REQUIRED)

ament_export_include_directories()
ament_export_dependencies(
    roscpp
    rospy
    sensor_msgs
    microstrain_inertial_msgs
    cmake_modules
)

# CPP Listener
set(LISTENER_CPP listener_cpp)
set(LISTENER_CPP_SRC_FILES src/listener.cpp)
add_executable(${LISTENER_CPP} ${LISTENER_CPP_SRC_FILES})
ament_target_dependencies(${LISTENER_CPP}
  rclcpp
  sensor_msgs
  microstrain_inertial_msgs
)

install(
  TARGETS ${LISTENER_CPP}
  DESTINATION lib/${PROJECT_NAME}
)

# Install python executables
install(PROGRAMS
  scripts/listener.py
  DESTINATION lib/${PROJECT_NAME}
)

# Install the launch files
install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-iron-microstrain-inertial-examples (3.1.0-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 25 Jul 2023 04:00:00 -0000

ros-iron-microstrain-inertial-examples (3.0.1-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 10 Feb 2023 05:00:00 -0000

ros-iron-microstrain-inertial-examples (3.0.0-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 11 Jan 2023 05:00:00 -0000

ros-iron-microstrain-inertial-examples (2.7.1-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 09 Nov 2022 05:00:00 -0000

ros-iron-microstrain-inertial-examples (2.7.0-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 23 Sep 2022 04:00:00 -0000

ros-iron-microstrain-inertial-examples (2.6.0-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 25 May 2022 04:00:00 -0000

ros-iron-microstrain-inertial-examples (2.5.1-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-iron-microstrain-inertial-examples (2.5.0-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 27 Jan 2022 05:00:00 -0000

ros-iron-microstrain-inertial-examples (2.4.0-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 05 Jan 2022 05:00:00 -0000

ros-iron-microstrain-inertial-examples (2.3.0-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 22 Dec 2021 05:00:00 -0000

ros-iron-microstrain-inertial-examples (2.2.0-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 03 Dec 2021 05:00:00 -0000

ros-iron-microstrain-inertial-examples (2.1.0-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 12 Nov 2021 05:00:00 -0000

ros-iron-microstrain-inertial-examples (2.0.6-1jammy) jammy; urgency=high

  * Fixes CMake build errors experienced on the build farm
  * Contributors: Rob Fisher, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Fri, 22 Oct 2021 04:00:00 -0000

ros-iron-microstrain-inertial-examples (2.0.5-1jammy) jammy; urgency=high

  * Updates maintainers and dependencies in preparation for ROS build farm
  * Renames packages to be more consistent with ROS naming conventions
  * Contributors: Rob Fisher, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 21 Oct 2021 04:00:00 -0000

ros-iron-microstrain-inertial-examples (1.1.4-1jammy) jammy; urgency=high

  * Merge branch 'master' of https://github.com/LORD-MicroStrain/ROS-MSCL into develop
  * Properly installs examples to match instructions
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Fri, 30 Jul 2021 04:00:00 -0000

ros-iron-microstrain-inertial-examples (1.1.3-1jammy) jammy; urgency=high

  * Removed duplicate Filter LLH Pos entry in message format
    Preparing for release on Bloom
  * 
    
      * move driver package content to ros_mscl folder
      * add name argument to microstrain.launch file to specify the namespace (default: gx5)
      * update README.md
      * add basic subscriber example (C++)
    
  * Contributors: Nathan Miller, mgill

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 21 Apr 2021 04:00:00 -0000

ros-iron-microstrain-inertial-examples (0.0.4-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Mon, 07 Oct 2019 04:00:00 -0000

ros-iron-microstrain-inertial-examples (0.0.3-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Mon, 05 Aug 2019 04:00:00 -0000

ros-iron-microstrain-inertial-examples (0.0.2-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 28 May 2019 04:00:00 -0000

=== debian/control ===
Source: ros-iron-microstrain-inertial-examples
Section: misc
Priority: optional
Maintainer: Rob Fisher <rob.fisher@parker.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-microstrain-inertial-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace
Homepage: https://github.com/LORD-MicroStrain/microstrain_inertial
Standards-Version: 3.9.2

Package: ros-iron-microstrain-inertial-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-microstrain-inertial-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rclpy, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Example listener for Parker LORD Sensing inertial device driver ros_mscl (C++).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-microstrain-inertial-examples//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
